Loading...
Searching...
No Matches
svn_prop_patch_t Struct Reference

Data type to manage parsing of properties in patches. More...

`#include <svn_diff.h>`

## Data Fields

const char * | name
svn_diff_operation_kind_t | operation
| Represents the operation performed on the property.
apr_array_header_t * | hunks
| An array containing an svn_diff_hunk_t object for each hunk parsed from the patch associated with our property name.

## Detailed Description

Data type to manage parsing of properties in patches.

API users should not allocate structures of this type directly.

Since
  New in 1.7.

Definition at line 1202 of file svn_diff.h.

## Field Documentation

## hunks

apr_array_header_t* svn_prop_patch_t::hunks

An array containing an svn_diff_hunk_t object for each hunk parsed from the patch associated with our property name.

Definition at line 1211 of file svn_diff.h.

## name

const char* svn_prop_patch_t::name

Definition at line 1203 of file svn_diff.h.

## operation

svn_diff_operation_kind_t svn_prop_patch_t::operation

Represents the operation performed on the property.

Definition at line 1206 of file svn_diff.h.

The documentation for this struct was generated from the following file:

- svn_diff.h